exclusive_scan.hpp File Reference

## Classes

struct | ranges::exclusive_scan_view< Rng, T, Fun >
struct | ranges::views::exclusive_scan_base_fn
struct | ranges::views::exclusive_scan_fn

## Variables

template<typename Rng , typename T , typename Fun >
concept | ranges::exclusive_scan_constraints
template<typename Rng , typename T , typename Fun >
concept | ranges::exclusive_scan_constraints_ = invocable<Fun &, T, range_reference_t<Rng>> && assignable_from<T &, invoke_result_t<Fun &, T, range_reference_t<Rng>>>

## Variable Documentation

## exclusive_scan_constraints

template<typename Rng , typename T , typename Fun >

concept ranges::exclusive_scan_constraints

Initial value:
=
viewable_range<Rng> && input_range<Rng> &&
copy_constructible<T> &&
ranges::exclusive_scan_constraints_ < Rng, T, Fun >